
Application: gvSIG desktop - gvSIG bugs #3141
Error opening a project in gvSIG 2.1
01/26/2015 01:50 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Application
Target version: 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2262 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

I've opened a project in gvSIG 2.1. It asked about the location of a temporary file, I selected the "No" option for finding it, and the
project wasn't opened.

I attach the log file and the project.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3043: Errors in executio... Closed 11/28/2014

Associated revisions
Revision 42088 - 03/12/2015 03:57 PM - Francisco Díaz Carsí

refs #3141 Arreglos para:
- que no se persistan en el proyecto las tablas temporales
- que se pueda abrir proyecto que tenga una tabla que no encuentre y el usuario decida no buscarla.

History
#1 - 01/27/2015 02:13 PM - Álvaro Anguix
- Category set to Application

#2 - 03/10/2015 11:32 AM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to Francisco Díaz Carsí

Revisar por si dais con el  error que ha podido pasar en este proyecto; si no se pasaría a Invalid.

#3 - 03/10/2015 11:33 AM - Álvaro Anguix
- Related to gvSIG bugs #3043: Errors in execution of startup task 'Open project' added

#4 - 03/11/2015 05:46 PM - Francisco Díaz Carsí

He conseguido reproducir el error, de la siguiente manera:
    1. Proyecto nuevo
    2. Cargar dos capas, por ejemplo, la de provincias de España y la de ferrocarriles de Andalucía
    3. Ejecutar el geoproceso Spatial Join
    4. Abrir la tabla de atributos de la capa creada con el geoproceso
    5. Guardar el proyecto

El proyecto se guarda con una referencia a la tabla de atributos de la capa temporal generada en el geoproceso que al cerrar gvSIG se elimina.

#5 - 03/13/2015 08:47 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

En este tiquet hay realmente dos bugs:
    1. El ya comentado por el que se persistían en el proyecto las tablas que tenían una capa asociada temporal
    2. El del título del tiquet por el que no se conseguía cargar un proyecto que tenga una tabla cuyo archivo no se encuentra y el usuario decida no
buscarlo.

Se han arreglado los dos.
Además se impide abrir la ventana del documento de la tabla y la de sus propiedades cuando no está disponible.

#6 - 03/19/2015 01:18 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303  (rev. org.gvsig.desktop-2.0.90)

#7 - 04/07/2015 12:06 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 419 KB 01/26/2015 Mario Carrera
proyecto33.gvsproj 62 KB 01/26/2015 Mario Carrera
